#
# System notifications
#

{ config, lib, pkgs, ... }:

{
    services.kanshi = {
        enable = true;
        profiles = {
            undocked = {
                outputs = [
                    { criteria = "eDP-1"; status = "enable"; }
                ];
            };
            docked_c = {
                outputs = [
                    { criteria = "eDP-1"; status = "enable"; }
                    { criteria = "DP-1"; status = "enable"; }
                ];
            };
            docked_triple = {
                outputs = [
                    { criteria = "eDP-1"; status = "enable"; }
                    { criteria = "DP-1"; status = "enable"; }
                    { criteria = "HDMI-A-1"; status = "enable"; }
                ];
            };
        };
    };
}
